#include<iostream>
int main(){
    int a,b,x,y;
    std::cin>>a>>b>>x>>y;
    if(a==x || b==y) std::cout<<2;
    else if(abs(a-x)==abs(b-y))std::cout<<1;
    else std::cout<<0;
}
//ooga booga go bek tu efrika, giv mi 16 poena nigga